Package wx :: Package lib :: Module shell :: Class PyShellOutput

[frames | no frames]

## Type PyShellOutput

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
                            PyShellOutput

PyShell output window

for now, it is based on simple wxTextCtrl, but i'm looking at HTML classes to provide colorized output

Method Summary
| `__init__(self, parent, id)`
| ``AddText`(self, text, style)` write text to output window
| ``BeginBatch`(self)` do not refresh display till EndBatch()
| ``EndBatch`(self)` end batch; start updating display immediately
| ``flush`(self, style)` write out all that was left in line buffer
| ``OnIdle`(self, event)` when there's nothing to do, we can update display
| `OnSize(self, event)`
| ``UpdWindow`(self)` sync display with text buffer
| ``write`(self, str, style)` stdout-like interface
| ``write_exc`(self, str, style)` write text in "exception" style
| ``write_in`(self, str, style)` write text in "input" style

Property Summary

Class Variable Summary
`tuple` | `erefs` = `(('&', '&amp;'), ('>', '&gt;'), ('<', '&lt;'), (...`
`tuple` | `exc_style` = `('<font color="#FF0000"><tt>', '</tt></font>...`
`int` | `html_debug` = 0
`tuple` | `in_style` = `(' <font color="#000080"><tt>&gt;&gt;&gt;&nbs...`
`str` | `intro` = `'<H3>wxPython Interactive Shell</H3>\n'`
`tuple` | `out_style` = `('<tt>', '</tt>\n', '<br>\n')`

Instance Method Details

### AddText(self, text, style=None)

write text to output window

### BeginBatch(self)

do not refresh display till EndBatch()

### EndBatch(self)

end batch; start updating display immediately

### flush(self, style=None)

write out all that was left in line buffer

### OnIdle(self, event)

when there's nothing to do, we can update display

### UpdWindow(self)

sync display with text buffer

### write(self, str, style=None)

stdout-like interface

### write_exc(self, str, style=None)

write text in "exception" style

### write_in(self, str, style=None)

write text in "input" style

Class Variable Details

### erefs

  Type:
    `tuple`
  Value:

        (('&', '&amp;'), ('>', '&gt;'), ('<', '&lt;'), ('  ', '&nbsp; '))

### exc_style

  Type:
    `tuple`
  Value:

        ('<font color="#FF0000"><tt>', '</tt></font>\n', '<br>\n')

### html_debug

  Type:
    `int`
  Value:

        0

### in_style

  Type:
    `tuple`
  Value:

        (' <font color="#000080"><tt>&gt;&gt;&gt;&nbsp;',
         '</tt></font><br>\n',
         '<br>\n...&nbsp;')

### intro

  Type:
    `str`
  Value:

        '''<H3>wxPython Interactive Shell</H3>
        '''

### out_style

  Type:
    `tuple`
  Value:

        ('<tt>', '</tt>\n', '<br>\n')

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:18 2007 | http://epydoc.sf.net